repo/gentoo:master commit in: app-doc/python-docs/

Michał Górny <[email protected]> Wed, 05 Aug 2026 17:06:43 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785949600.e632bbe4c7bccfeb8593b6abf5944ff38c225342.mgorny@gentoo>
commit:     e632bbe4c7bccfeb8593b6abf5944ff38c225342
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  5 16:57:59 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug  5 17:06:40 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e632bbe4

app-doc/python-docs: Bump to 3.13.15

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-doc/python-docs/Manifest                   |  1 +
 app-doc/python-docs/python-docs-3.13.15.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/app-doc/python-docs/Manifest b/app-doc/python-docs/Manifest
index dc16de75cd27..77017a4ba8e7 100644
--- a/app-doc/python-docs/Manifest
+++ b/app-doc/python-docs/Manifest
@@ -3,6 +3,7 @@ DIST python-3.10.20-docs-html.tar.bz2 7329760 BLAKE2B 70f01e26cedca2c14274b2c685
 DIST python-3.11.15-docs-html.tar.bz2 7879534 BLAKE2B c208395058d6361b5bf572ed952cf51f37975492df47675e31558a5a36547a0da71a4cfe93c8188977fbea4e39b3a740f30b7ed875deca5d862329efb627caf2 SHA512 6a8815e32e5535214782c7378eb0678571cba46c9d5eb817323a3485c732127490142bc78deb00d2f37c8d3a62ceee736c746a120ea1a0dba6b08423123bc97e
 DIST python-3.12.13-docs-html.tar.bz2 8433277 BLAKE2B 3ef4f8daf45f7b691de41de5871240fcc53357689ca0d1e4be520f12cd763f59ff2ce2e8d6cf0df1274c08f01577ee0901ccf38b5dbd04bfbffc1fe13c9625c5 SHA512 16786246a0c3c6e10335881457480ffd92865430d09b0e36b3246117e830376981fd45717113099b4e14c7137366c8a5f2cce6f19142cf827e801b1a66397447
 DIST python-3.13.14-docs-html.tar.bz2 10489722 BLAKE2B a826b229b2f77ca2868f6f22ea597daa16ee620ecb35665bfb7d7a8435ecd731db80bbafc4b970159a2ffe2f1b3a836a1958890697b116f959e05aabc684986b SHA512 adadb39d3b92b4572c5844cfb3f46d517d9d3ff55b3a3a0e4b21c00377e2d04139db980cf23fc995b9c52d793dc272e29d9c0f19ee3fad41d40748844a3a15e7
+DIST python-3.13.15-docs-html.tar.bz2 10655948 BLAKE2B c8f6cf4d9bcf13c42664e9c3bb6021be74ff4c6162246a77aede667c386e46d32504360a4d661a718f2c2d05f5d93937797ec01456cfec6fd0464d1a0af2f441 SHA512 d2c6fdbdec71983171380eba21fae0cb9f8be06847ac4dd356af36706c07fbbf564f434d7bce6a2b702db04e1fb22e5a52ce61eab9ecde92acb5360320721d02
 DIST python-3.14.6-docs-html.tar.bz2 11003726 BLAKE2B 335ffb0f95cfb6575ab95774f2f240c9a17411d8ddc56b7746812931b0a4b0cab72a4692427410fde0b6cf1e7adb8e60dbe38336c44865b8b765893d1a9f2e7a SHA512 6056edd3aa02f013163b6a12a1981de32a7ce784c215b4315b27bb2e9abe1a3276e76d21763020ffacc7c19dd99ee7863af637294da49afd0b7acdc9f5f438b7
 DIST python-3.14.7-docs-html.tar.bz2 11177897 BLAKE2B 9dc8f34beecbe5a48df3943a329473a6748a6471c22b490a061e63506d4c52eb3d8e67441b253b49001274168a8e1789b0057fdcfd734c854cb7b4a791fc0863 SHA512 2bd30188aa291bef884f7a6a43e0b4e21cc774925b21d7fc6bfaeffd104db7c745aba11612de7858fbb279640678674627763a9727be6936d1f844874ea6efdd
 DIST python-3.8.20-docs-html.tar.bz2 6727651 BLAKE2B ec11857b5bdfb4646a2762353db877a558cfc543563a7a9b0db100f675511c31450d16c30a986d39226a9b16be3ffd132863e396ef05165047ab73bf037bf2a6 SHA512 0a77f0240d6d495a5099d4a95e151f38517730815e6f3d9b82964cf60be95b8bdc960916d317e19bb8e14a9604217cd1fa85703996aec972004a6a93d4ffa6d0

diff --git a/app-doc/python-docs/python-docs-3.13.15.ebuild b/app-doc/python-docs/python-docs-3.13.15.ebuild
new file mode 100644
index 000000000000..0affc199615a
--- /dev/null
+++ b/app-doc/python-docs/python-docs-3.13.15.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=python-${PV}-docs-html
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/"
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/${MY_P}.tar.bz2"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+	rm -r _sources || die
+	docinto html
+	dodoc -r .
+
+	newenvd - 60python-docs-${SLOT} <<-EOF
+		PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+	EOF
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.